org.rrd4j.core

## Class Util.Xml

- java.lang.Object
- - org.rrd4j.core.Util.Xml

- Enclosing class:
    Util

      public static class Util.Xml
      extends Object

  Various DOM utility functions.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Node[]` | `getChildNodes(Node parentNode)`
    `static Node[]` | `getChildNodes(Node parentNode, String childName)`
    `static String` | `getChildValue(Node parentNode, String childName)`
    `static String` | `getChildValue(Node parentNode, String childName, boolean trim)`
    `static boolean` | `getChildValueAsBoolean(Node parentNode, String childName)`
    `static double` | `getChildValueAsDouble(Node parentNode, String childName)`
    `static int` | `getChildValueAsInt(Node parentNode, String childName)`
    `static long` | `getChildValueAsLong(Node parentNode, String childName)`
    `static Node` | `getFirstChildNode(Node parentNode, String childName)`
    `static Element` | `getRootElement(File xmlFile)`
    `static Element` | `getRootElement(InputSource inputSource)`
    `static Element` | `getRootElement(String xmlString)`
    `static String` | `getValue(Node node)`
    `static String` | `getValue(Node node, boolean trimValue)`
    `static boolean` | `getValueAsBoolean(Node node)`
    `static double` | `getValueAsDouble(Node node)`
    `static int` | `getValueAsInt(Node node)`
    `static long` | `getValueAsLong(Node node)`
    `static boolean` | `hasChildNode(Node parentNode, String childName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getChildNodes

          public static Node[] getChildNodes(Node parentNode)

    - #### getChildNodes

          public static Node[] getChildNodes(Node parentNode,
                                             String childName)

    - #### getChildValue

          public static String getChildValue(Node parentNode,
                                             String childName)

    - #### getChildValue

          public static String getChildValue(Node parentNode,
                                             String childName,
                                             boolean trim)

    - #### getChildValueAsBoolean

          public static boolean getChildValueAsBoolean(Node parentNode,
                                                       String childName)

    - #### getChildValueAsDouble

          public static double getChildValueAsDouble(Node parentNode,
                                                     String childName)

    - #### getChildValueAsInt

          public static int getChildValueAsInt(Node parentNode,
                                               String childName)

    - #### getChildValueAsLong

          public static long getChildValueAsLong(Node parentNode,
                                                 String childName)

    - #### getFirstChildNode

          public static Node getFirstChildNode(Node parentNode,
                                               String childName)

    - #### getRootElement

          public static Element getRootElement(File xmlFile)
                                        throws IOException

      Throws:
        `IOException`

    - #### getRootElement

          public static Element getRootElement(InputSource inputSource)
                                        throws IOException

      Throws:
        `IOException`

    - #### getRootElement

          public static Element getRootElement(String xmlString)
                                        throws IOException

      Throws:
        `IOException`

    - #### getValue

          public static String getValue(Node node)

    - #### getValue

          public static String getValue(Node node,
                                        boolean trimValue)

    - #### getValueAsBoolean

          public static boolean getValueAsBoolean(Node node)

    - #### getValueAsDouble

          public static double getValueAsDouble(Node node)

    - #### getValueAsInt

          public static int getValueAsInt(Node node)

    - #### getValueAsLong

          public static long getValueAsLong(Node node)

    - #### hasChildNode

          public static boolean hasChildNode(Node parentNode,
                                             String childName)